Subject: Re: 'make ARCH=ppc defconfig' failing for cross-compile

From: Judith Lebzelter <[email-masked]>
Date: Tue, 12 Sep 2006 10:48:14 -0700

On Tue, Sep 12, 2006 at 10:21:46AM -0700, Christian wrote:
> On Fri, 8 Sep 2006, Judith Lebzelter wrote:
> > I have been doing cross-compiles for ppc and powerpc on my i686 system.
> > In order to do this I generate the .config file like this:
> >
> > make ARCH=ppc defconfig
> > (or make ARCH=powerpc defconfig)
> 
> Seems like defconfig has been removed, because there are so many 
> sub-platforms for ppc:

I build these in OSDL's cross compile build farm (PLM) as a code check.
Our scripts are generalized to work for various architectures, so it is
disappointing that 'defconfig' no longer works for ppc the way it does 
in other achitectures.  Are there plans to make plain 'defconfig' work 
again, at least in the new 'powerpc' directory?  (The 'ppc64_defconfig' 
target looks good to me.:)

> 
> $ ls arch/ppc/configs/*defconfig | wc -l
> 56
> 
> Just pick the defonfig for your platform, for my PReP that'd be:

I will do this as a work-around.

TFYR,
Judith

> 
> $ make ARCH=ppc CROSS_COMPILE=powerpc-604-linux-gnu- prep_defconfig
> 
> 
> HTH,
> Christian.
> -- 
> BOFH excuse #383:
> 
> Your processor has taken a ride to Heaven's Gate on the UFO behind Hale-Bopp's comet.
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev